#!/bin/sh

if [ "$3" = "" ] ; then
  echo "Usage: phase.sh PHASE SHIFT FILE"
  exit 1
fi

PHASE=$1
SHIFT=$2
FILE=$3

#PERIOD=6.295 # h
PERIOD=0.26229167

TMP=phase.in
echo "data/$FILE" > $TMP
echo ". (2953) Vysheslavia" >> $TMP
echo "0 0 $PHASE $PERIOD" >> $TMP
#echo "F T T" >> $TMP
echo "F T F" >> $TMP
#./phase < $TMP > $FILE
./phase < $TMP | awk '!/^#/' | awk 'BEGIN{ SHIFT=ARGV[1]; ARGV[1]=""; } { print $1, $2+SHIFT; }' $SHIFT > $FILE

