#!/bin/sh

if [ "$4" = "" ] ; then
  echo "Usage: phase.sh PHASE DIST_LC SHIFT FILE"
  exit 1
fi

PHASE=$1
DIST_LC=$2
SHIFT=$3
FILE=$4

#PERIOD=6.295 # h
PERIOD=0.26229167
PHASE_LC=`echo $PHASE $DIST_LC | awk 'BEGIN{ AU=149597870.691e3; c=299792458; }{ printf("%.5f", $1+($2*AU/c/86400.)); }'`
echo "$PHASE $PHASE_LC"

TMP=phase.in
echo "data/$FILE" > $TMP
echo ". (2953) Vysheslavia" >> $TMP
echo "0 0 $PHASE_LC $PERIOD" >> $TMP
#echo "F T T" >> $TMP
echo "F T F" >> $TMP
#./phase < $TMP > $FILE
./phase < $TMP | awk '!/^#/' | awk 'BEGIN{ SHIFT=ARGV[1]; ARGV[1]=""; } { print $1, $2+SHIFT; }' $SHIFT > $FILE

